%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module_name geshifilter

Name:      drupal6-%{module_name}
Version:   1.5
Release:   7%{?dist}
Summary:   GeSHi filter for syntax highlighting

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module_name}
Source0:   http://ftp.drupal.org/files/projects/%{module_name}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
Requires:  drupal6-cck
#Requires:  drupal6(cck)
Requires:  php-geshi >= 1.0
Requires:  php-geshi <  1.1
# phpci
Requires:  php-date
Requires:  php-pcre

Provides:  drupal6(geshifilter) = %{version}
Provides:  drupal6(geshinode) = %{version}
Provides:  drupal6(geshifield) = %{version}

%description
The GeShi filter module provides a filter for source code syntax highlighting
for a wide range of languages.

Source code can be entered with for example <code type="java">...</code> or
<blockcode language="python">...</blockcode>. It is also possible to define
your own generic and language specific tags (e.g. <java>) or to work with
square bracket style tags (e.g. [python]). Automatically adding line numbers
is possible too with for example [ruby linenumbers="normal"].

This package provides the following Drupal modules:
* geshifilter
* geshinode
* geshifield


%prep
%setup -qn %{module_name}


%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal6_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal6_modules}/%{module_name}/

# GeSHi
mkdir -p -m 0755 %{buildroot}%{drupal6_modules}/%{module_name}/geshi
ln -s %{_datadir}/php/geshi.php \
      %{buildroot}%{drupal6_modules}/%{module_name}/geshi/geshi.php
# For backwards compatibility
ln -s geshi/geshi.php %{buildroot}%{drupal6_modules}/%{module_name}/geshi.php


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module_name}
%exclude %{drupal6_modules}/%{module_name}/*.txt


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.5-4
- Added virtual provides
- Re-added EPEL 5 specifics

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.5-3
- Added drupal6-cck require

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.5-2
- Removed EPEL 5 specifics since this pkg is not built for EL 5

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.5-1
- Updated to 1.5
- Spec cleanup

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Anderson Silva <ansilva@redhat.com> - 1.4-5
- Update Licensing 

* Tue Mar 13 2012 Anderson Silva <ansilva@redhat.com> - 1.4-4
- Update description

* Mon Mar 12 2012 Anderson Silva <ansilva@redhat.com> - 1.4-3
- Fix geshi.php dependency

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.4-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.4-1
- Initial rpm package
